{% set text_limit = 100 %}

<article class="card-wrapper card-space pratica"  data-user="{{ pratica.user.id }}" data-status="{{ pratica.status }}">
    <div class="card card-bg card-big rounded shadow">
        <div class="flag-icon invisible"></div>
        <div class="etichetta">
            <span>{{ 'pratica.data_di_creazione'|trans }}:</b> {{ pratica.creationTime|format_date( locale=app.request.locale) }}</span>
        </div>
        <div class="card-body">
            <h5 class="card-title">{{ pratica.servizio.name }}</h5>
            <p class="card-text">
                {% if pratica.statusName == 'STATUS_CANCELLED' %}
                <div class="alert alert-danger" role="alert"><i class="fa fa-times" aria-hidden="true"></i> {{ ('pratica.dettaglio.stato_'~pratica.status)|trans() }}</div>
                {% elseif pratica.statusName == 'STATUS_DRAFT' %}
                    <div class="alert alert-info" role="alert"><i class="fa fa-info" aria-hidden="true"></i> {{ ('pratica.dettaglio.stato_'~pratica.status)|trans() }}</div>
                {% elseif pratica.statusName == 'STATUS_SUBMITTED' %}
                    <div class="alert alert-info" role="alert"><i class="fa fa-info" aria-hidden="true"></i> {{ ('pratica.dettaglio.stato_'~pratica.status)|trans() }}</div>
                {% elseif pratica.statusName == 'STATUS_COMPLETE' %}
                    <div class="alert alert-success" role="alert"><i class="fa fa-check" aria-hidden="true"></i> {{ ('pratica.dettaglio.stato_'~pratica.status)|trans() }}</div>
                {% elseif pratica.statusName == 'STATUS_REGISTERED' %}
                    <div class="alert alert-info" role="alert"><i class="fa fa-info" aria-hidden="true"></i> {{ ('pratica.dettaglio.stato_'~pratica.status)|trans() }}</div>
                {% else %}
                    <div class="alert alert-info" role="alert"><i class="fa fa-info" aria-hidden="true"></i> {{ ('pratica.dettaglio.stato_'~pratica.status)|trans() }}</div>
                {% endif %}
            </p>
            <a class="read-more" href="{{ path('pratiche_compila', {'pratica': pratica.id, 'instance': pratica.instanceId, 'step': pratica.lastCompiledStep}) }}">
                <span class="text">{{ 'pratica.riprendi_pratica'|trans }}</span>
                <svg class="icon">
                    <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-arrow-right"></use>
                </svg>
            </a>
        </div>
    </div>
</article>
